Page MenuHomePhabricator

Use same OOUI widgets for notifications popup on mobile and desktop
Closed, ResolvedPublic

Description

MobileFrontend has its own, completely separate, implementation of the notifications popup. This means the mobile site didn't break when we OOUIified the notifications popup on desktop, but it also doesn't get anything new (and so e.g. cross-wiki notifications won't work there). We should instead reuse the OOUI widgets that the desktop site uses.

Event Timeline

Catrope created this task.Jan 20 2016, 5:23 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to High.
Catrope added a subscriber: Catrope.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 20 2016, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 237510 had a related patch set uploaded (by Catrope):
[wip] Adjust and clean up styles and behavior for mobile

https://gerrit.wikimedia.org/r/237510

Change 237509 had a related patch set uploaded (by Catrope):
OOUIfying Echo in MobileFrontend

https://gerrit.wikimedia.org/r/237509

Jdlrobson changed the task status from Open to Stalled.Jan 20 2016, 7:57 PM
Jdlrobson added a subscriber: Jdlrobson.

This is stalled on the upstream change https://gerrit.wikimedia.org/r/#/c/251561/
Please mark as open when you need help reviewing from mobile team.

Mooeypoo claimed this task.Jan 20 2016, 8:09 PM
Mooeypoo added a subscriber: Mooeypoo.

Working on both of those now.

Change 251561 had a related patch set uploaded (by Mooeypoo):
Add MobileNotificationsWrapper for Mobile display

https://gerrit.wikimedia.org/r/251561

Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Feb 18 2016, 6:41 PM
Jdlrobson moved this task from Tasks to Tech debt on the MobileFrontend board.

Please notice that in order to test this, you need to pull the patch for MobileFrontend: https://gerrit.wikimedia.org/r/#/c/237509/ and the patch for Echo https://gerrit.wikimedia.org/r/#/c/251561/

Change 251561 merged by jenkins-bot:
Add MobileNotificationsWrapper for Mobile display

https://gerrit.wikimedia.org/r/251561

Change 237509 merged by jenkins-bot:
OOUIfying Echo in MobileFrontend

https://gerrit.wikimedia.org/r/237509

Jdlrobson closed this task as Resolved.Mar 16 2016, 9:25 PM

Thanks guys!! Now let me source some Stroopwafels...

Change 237510 abandoned by Mooeypoo:
[wip] Adjust and clean up styles and behavior for mobile

Reason:
No longer relevant.

https://gerrit.wikimedia.org/r/237510